Index: /trunk/src/lib/lang/base_object.cc
===================================================================
--- /trunk/src/lib/lang/base_object.cc	(revision 5644)
+++ /trunk/src/lib/lang/base_object.cc	(revision 5645)
@@ -62,6 +62,8 @@
 {
   // name setup
-  LoadParam<BaseObject>(root, "name", this, &BaseObject::setName)
-      .describe("the name of the Object at hand");
+  LoadParamBase(root, "name", this, ExecutorObjective<BaseObject>(&BaseObject::setName))
+      .describe("the Name of the Object.");
+//  LoadParam<BaseObject>(root, "name", this, &BaseObject::setName)
+      //.describe("the name of the Object at hand");
 }
 
@@ -86,5 +88,5 @@
   if (this->objectName)
     delete[] this->objectName;
-  if (objectName)
+  if (objectName != NULL)
   {
     this->objectName = new char[strlen(objectName)+1];
Index: /trunk/src/util/loading/load_param.cc
===================================================================
--- /trunk/src/util/loading/load_param.cc	(revision 5644)
+++ /trunk/src/util/loading/load_param.cc	(revision 5645)
@@ -35,4 +35,5 @@
 {
   this->setClassID(CL_LOAD_PARAM, "LoadParam");
+  this->executor = NULL;
 
   this->loadString = NULL;
@@ -106,4 +107,27 @@
 }
 
+LoadParamBase::LoadParamBase(const TiXmlElement* root, const char* paramName, BaseObject* object, const Executor& executor)
+{
+  this->loadString = grabParameter(root, paramName);
+
+  if (loadString != NULL && root != NULL)
+  {
+    this->executor = executor.clone();
+    this->executor->execute(object, loadString);
+  }
+  else
+  {
+    this->executor = NULL;
+  }
+}
+LoadParamBase::~LoadParamBase()
+{
+  if (likely(this->executor != NULL))
+    delete this->executor;
+
+}
+
+
+
 /**
  * @param descriptionText The text to set as a description for this Parameter
Index: /trunk/src/util/loading/load_param.h
===================================================================
--- /trunk/src/util/loading/load_param.h	(revision 5644)
+++ /trunk/src/util/loading/load_param.h	(revision 5645)
@@ -29,4 +29,5 @@
 #include "substring.h"
 #include "tinyxml.h"
+#include "executor/executor.h"
 
 #include "helper_functions.h"
@@ -44,18 +45,23 @@
 class LoadParamBase : public BaseObject
 {
- public:
-  LoadParamBase* describe(const char* descriptionText);
-  LoadParamBase* defaultValues(unsigned int count, ...);
-
- protected:
-  LoadParamBase(const TiXmlElement* root, BaseObject* object, const char* paramName, int paramCount, bool multi, const void* pointerToParam, ...);
-
- protected:
-  LoadClassDescription*    classDesc;            //!< The LoadClassDescription of this LoadParameter
-  LoadParamDescription*    paramDesc;            //!< The LoadParameterDescription of this LoadParameter
-  const char*              loadString;           //!< The string loaded by this LoadParam
-  const void*              pointerToParam;       //!< A Pointer to a Parameter.
-
-  MultiType*               defaultValue;
+  public:
+    LoadParamBase(const TiXmlElement* root, const char* paramName, BaseObject* object, const Executor& exeutor);
+    ~LoadParamBase();
+
+    LoadParamBase* describe(const char* descriptionText);
+    LoadParamBase* defaultValues(unsigned int count, ...);
+
+  protected:
+    LoadParamBase(const TiXmlElement* root, BaseObject* object, const char* paramName, int paramCount, bool multi, const void* pointerToParam, ...);
+
+  protected:
+    Executor*                executor;
+
+    LoadClassDescription*    classDesc;            //!< The LoadClassDescription of this LoadParameter
+    LoadParamDescription*    paramDesc;            //!< The LoadParameterDescription of this LoadParameter
+    const char*              loadString;           //!< The string loaded by this LoadParam
+    const void*              pointerToParam;       //!< A Pointer to a Parameter.
+
+    MultiType*               defaultValue;
 };
 
@@ -75,4 +81,5 @@
  * called element, and that you must say true at the Fith parameter, or it will fail
  * also you will have to close the Cycle again with LOAD_PARAM_END_CYCLE
+ *
  * @param ROOT The root XLM-element to search element under.
  * @param ELEMENT the element to search
